import request from '@/common/axiosHelper.js'

/* 获取待审签证列表 */
 /* 待审核签证列表*/
 export function GetVises(projectCode, searchValue) {
   return request({
 	url: '/Vise/GetVises',
 	method: 'get',
 	params:{projectCode:projectCode,searchValue:searchValue}
   })
 }
 /*待审核签证详情 */
 export function GetVise(viseCode) {
   return request({
 	url: '/Vise/GetVise',
 	method: 'get',
 	params:{viseCode:viseCode}
   })
 }
 
 /*获取合同明细 */
 export function GetContractCostDTOs(contractCode) {
   return request({
 	url: '/Vise/GetContractCostDTOs',
 	method: 'get',
 	params:{contractCode:contractCode}
   })
 }
 
 /*插入待审核签证主表和明细表 */
 export function InsertVise(data) {
   return request({
 	url: '/Vise/InsertVise',
 	method: 'POST',
 	data:data
   })
 }
 
 
 /*获取合同编辑明细 */
 export function GetViseEdit(viseCode) {
   return request({
 	url: '/Vise/GetViseEdit',
 	method: 'get',
 	params:{viseCode:viseCode}
   })
 }
 
 
 
 /*更新待审核签证主表和明细表 */
 export function UpdateVise(data) {
   return request({
 	url: '/Vise/UpdateVise',
 	method: 'POST',
 	data:data
   })
 }